python-cups-1.9.57-1.el6.nux.x86_64.rpm


Advertisement

Description

python-cups - Python bindings for CUPS

Property Value
Distribution CentOS 6
Repository Nux Dextop x86_64
Package name python-cups
Package version 1.9.57
Package release 1.el6.nux
Package architecture x86_64
Package type rpm
Installed size 221.11 KB
Download size 68.29 KB
Official Mirror li.nux.ro
This package provides Python bindings for the CUPS API,
known as pycups. It was written for use with
system-config-printer, but can be put to other uses as well.

Alternatives

Package Version Architecture Repository
python-cups-1.9.62-1.el6.i686.rpm 1.9.62 i686 LinuxTECH
python-cups-1.9.62-1.el6.x86_64.rpm 1.9.62 x86_64 LinuxTECH
python-cups-1.9.57-1.el6.nux.i686.rpm 1.9.57 i686 Nux Dextop
python-cups - - -

Requires

Name Value
/usr/bin/python -
libc.so.6(GLIBC_2.4)(64bit) -
libcups.so.2()(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
libpython2.6.so.1.0()(64bit) -
python(abi) = 2.6
rtld(GNU_HASH) -

Provides

Name Value
python-cups = 1.9.57-1.el6.nux
python-cups(x86-64) = 1.9.57-1.el6.nux

Download

Type URL
Binary Package python-cups-1.9.57-1.el6.nux.x86_64.rpm
Source Package python-cups-1.9.57-1.el6.nux.src.rpm

Install Howto

  1. Download the latest nux-dextop-release rpm from
    http://li.nux.ro/download/nux/dextop/el6/x86_64/
  2. Install nux-dextop-release rpm:
    # rpm -Uvh nux-dextop-release*rpm
  3. Install python-cups rpm package:
    # yum install python-cups

Files

Path
/usr/lib/rpm/postscriptdriver.prov
/usr/lib/rpm/fileattrs/psdriver.attr
/usr/lib64/python2.6/site-packages/cups.so
/usr/lib64/python2.6/site-packages/pycups-1.9.57-py2.6.egg-info
/usr/share/doc/python-cups-1.9.57/COPYING
/usr/share/doc/python-cups-1.9.57/ChangeLog
/usr/share/doc/python-cups-1.9.57/NEWS
/usr/share/doc/python-cups-1.9.57/README
/usr/share/doc/python-cups-1.9.57/TODO

Changelog

2011-06-09 - Tim Waugh <twaugh@redhat.com> - 1.9.57-1
- 1.9.57.  Fixes rpm provides script (bug #712027).
2011-03-20 - Tim Waugh <twaugh@redhat.com> - 1.9.55-1
- 1.9.55.  Support for IPP "resolution" type.
2011-02-23 - Tim Waugh <twaugh@redhat.com> - 1.9.54-1
- 1.9.54.  The rpm hook is now upstream.
2011-02-23 - Tim Waugh <twaugh@redhat.com> - 1.9.53-5
- Use rpmconfigdir macro throughout.
2011-02-08 - Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.53-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild
2011-01-25 - Tim Waugh <twaugh@redhat.com> - 1.9.53-3
- Fixed typo in psdriver.attr that prevented PPD files from being
scanned when generating postscriptdriver tags.
2011-01-20 - Tim Waugh <twaugh@redhat.com> - 1.9.53-2
- Moved postscriptdriver RPM tagging machinery here.  Fixed
leading/trailing whitespace in tags as well.
2010-12-15 - Tim Waugh <twaugh@redhat.com> - 1.9.53-1
- 1.9.53 fixing a thread-local storage issue (bug #662805).
2010-11-17 - Jiri Popelka <jpopelka@redhat.com> - 1.9.52-2
- Fixed rpmlint errors/warnings (#648986)
- doc subpackage
2010-11-01 - Jiri Popelka <jpopelka@redhat.com> - 1.9.52-1
- Initial RPM spec file

See Also

Package Description
python-cups-doc-1.9.57-1.el6.nux.x86_64.rpm Documentation for python-cups
python-eyed3-0.6.17-6.el6.nux.noarch.rpm Python module for processing ID3 tags
python-keybinder-0.0.9-1.el6.nux.x86_64.rpm Keybinder python bindings
python-lash-0.5.4-12.el6.nux.x86_64.rpm Python wrapper for LASH
python-mechanize-0.2.5-1.el6.nux.noarch.rpm Stateful programmatic web browsing
python-notmuch-0.12-1.el6.nux.noarch.rpm Python bindings for notmuch
python-pymtp-0.0.4-1.el6.nux.x86_64.rpm A Pythonic wrapper around libmtp
python-twisted-web2-8.1.0-9.el6.nux.x86_64.rpm Experimental Twisted Web Server Framework
python-xkit-0.4.2.2-1.el6.nux.noarch.rpm A simple, transparent and easy to extend xorg parser
python-xlib-0.15-0.5.rc1.el6.nux.noarch.rpm X client library for Python
python-xlib-doc-0.15-0.5.rc1.el6.nux.noarch.rpm Documentation and examples for python-xlib
qbittorrent-2.9.1-1.el6.nux.x86_64.rpm A Bittorrent Client
qbittorrent-nox-2.9.1-1.el6.nux.x86_64.rpm A Headless Bittorrent Client
qjson-0.7.1-2.el6.nux.1.x86_64.rpm A qt-based library that maps JSON data to QVariant objects
qjson-devel-0.7.1-2.el6.nux.1.x86_64.rpm Development files for qjson
Advertisement
Advertisement